Module java.desktop
Package javax.swing.plaf.basic

## Class BasicInternalFrameUI.InternalFrameLayout

- java.lang.Object
- - javax.swing.plaf.basic.BasicInternalFrameUI.InternalFrameLayout

- All Implemented Interfaces:
    `LayoutManager`
  Enclosing class:
    BasicInternalFrameUI

      public class BasicInternalFrameUI.InternalFrameLayout
      extends Object
      implements LayoutManager

  Internal frame layout.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InternalFrameLayout()` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.awt.LayoutManager

      `addLayoutComponent, layoutContainer, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

- - ### Constructor Detail

    - #### InternalFrameLayout

          public InternalFrameLayout()